// .#{$namespace}
//   &-field
//     &:not(:last-child)
//       margin-bottom: 1rem

//     .#{$namespace}-label

//       & + .#{$namespace}-input-control

//         .#{$namespace}-input
//           background-position: 0 center
//           position: relative
//           z-index: 1

//           &:focus
//             & + .#{$namespace}-help
//               opacity: 1
//               transform: translateY(0%)

//           & + .#{$namespace}-help
//             opacity: 0
//             transform: translateY(-50%)

//         &.has-addons
//           display: flex
//           flex-wrap: wrap

//           .#{$namespace}-addon
//             min-width: 2.5em
//             height: 2.25em
//             background-color: $white
//             border-radius: $radius
//             display: flex;
//             align-items: center;
//             justify-content: center;
//             color: $blue-grey
//             border: 1px solid nth($blue-grey-lighten, 4)

//             &.is-left
//               order: 1
//               border-top-right-radius: 0
//               border-bottom-right-radius: 0

//               & + .#{$namespace}-input
//                 width: calc(100% - 2.5em)
//                 border-top-left-radius: 0
//                 border-bottom-left-radius: 0
//                 border-left: none

//               & + .#{$namespace}-addon.is-right

//                 & + .#{$namespace}-input
//                   width: calc(100% - 5em)
//                   border-top-left-radius: 0
//                   border-bottom-left-radius: 0
//                   border-left: none

//             &.is-right
//               order: 3
//               border-top-left-radius: 0
//               border-bottom-left-radius: 0
//               border-left-width: 0

//               & + .#{$namespace}-input
//                 width: calc(100% - 2.5em)
//                 border-top-right-radius: 0
//                 border-bottom-right-radius: 0

//           .#{$namespace}-input
//             order: 2
//             flex-grow: 1

//             &[type="file"]
//               opacity: 0
//               position: absolute
//               left: 0
//               width: calc(100% + 2.5rem)
//               cursor: pointer
            
//           .#{$namespace}-file-input
//             background-color: $white
//             border: 1px solid nth($blue-grey-lighten, 4)
//             border-radius: $radius
//             position: absolute
//             top: 0
//             left: 0
//             width: 100%
//             padding-left: 3.25rem
//             padding-right: 1rem
//             display: flex
//             align-items: center
//             color: $blue-grey
//             height: 2.25em
//             white-space: nowrap
//             overflow: hidden
//             text-overflow: ellipsis
//             z-index: -1
//             > span
//               flex: 0 1 auto
//               white-space: no-wrap
//               text-overflow: ellipsis
//               overflow: hidden

//           .#{$namespace}-help
//             order: 10

//     &.has-error
//       .#{$namespace}
//         &-label
//           color: $danger
//         &-input-control
//           // &:before
//           //   content: '\e905'
//           //   font-family: shaper
//           //   position: absolute
//           //   left: .5em
//           //   top: .075em
//           //   color: $white
//           //   font-size: ms(4)
//           //   z-index: 2
//         &-input
//           color: $white
//           background-color: $danger
//           // padding-left: 3em
//           border-color: $danger
//           box-shadow: 0 0 1px nth($red-lighten,3)
//         &-help
//           color: $danger
//           opacity: 1 !important
//           transform: translateY(0) !important
        
//     &.is-success
//       .#{$namespace}
//         &-input-control
//           // &:before
//           //   content: '\e921'
//           //   font-family: shaper
//           //   position: absolute
//           //   color: $success
//           //   left: .5em
//           //   top: .075em
//           //   font-size: ms(4)
//           //   z-index: 2
//         &-input
//           // padding-left: 3em
//           border-color: rgba($success, .5)

// .has-validation
//   // .#{$namespace}-input-control
//   //   .#{$namespace}-input
//   //     background-size: 24px
//   //     background-repeat: no-repeat

//   //     &:focus
//   //       // background-image: url(/images/arrow-right.svg)
//   //       background-position: .5rem center

//   //     &:valid
//   //       padding-left: 2.5rem
//   //       background-image: url(/images/check-success.svg)
//   //       background-position: .5rem center
        
//   //     &:invalid:not(:focus):not(:placeholder-shown)
//   //       padding-left: 2.5rem
//   //       background-image: url(/images/warning-white.svg)
//   //       background-position: .5rem center
//   //       background-color: $danger
//   //       border-color: $danger
//   //       color: white
//   //       & + .#{$namespace}-help
//   //         color: $danger
//   //         opacity: 1
//   //         transform: translateY(0)

// .is-dark
//   .#{$namespace}-label, 
//   .#{$namespace}-help
//     color: rgba(255,255,255,.6)
